import { GraphQLESLintRule } from '../types';
declare const fieldsEnum: ('ObjectTypeDefinition' | 'InterfaceTypeDefinition' | 'InputObjectTypeDefinition')[];
declare const valuesEnum: ['EnumTypeDefinition'];
declare const selectionsEnum: ('OperationDefinition' | 'FragmentDefinition')[];
declare const variablesEnum: ['OperationDefinition'];
declare const argumentsEnum: ('FieldDefinition' | 'Field' | 'DirectiveDefinition' | 'Directive')[];
declare type AlphabetizeConfig = {
    fields?: typeof fieldsEnum;
    values?: typeof valuesEnum;
    selections?: typeof selectionsEnum;
    variables?: typeof variablesEnum;
    arguments?: typeof argumentsEnum;
};
declare const rule: GraphQLESLintRule<[AlphabetizeConfig]>;
export default rule;
